Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1343915 - Version conflict
Summary: Version conflict
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: certbot
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: James Hogarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-08 10:11 UTC by Fabian Affolter
Modified: 2016-11-07 20:19 UTC (History)
7 users (show)

Fixed In Version: certbot-0.9.3-1.fc25 certbot-0.9.3-1.fc24 certbot-0.9.3-1.fc23 certbot-0.9.3-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-24 19:03:25 UTC
Type: Bug


Attachments (Terms of Use)

Description Fabian Affolter 2016-06-08 10:11:30 UTC
Description of problem:
[root@alpha certbot]# certbot --version
An unexpected error occurred:
VersionConflict: (acme 0.6.0 (/usr/lib/python2.7/site-packages), Requirement.parse('acme==0.5.0.dev0'))
Please see the logfile 'certbot.log' for more details.


Version-Release number of selected component (if applicable):
[root@alpha certbot]# rpm -q certbot
certbot-0.6.0-2.el7.noarch

How reproducible:
Run certbot


Actual results:
VersionConflict: (acme 0.6.0 (/usr/lib/python2.7/site-packages), Requirement.parse('acme==0.5.0.dev0'))


Expected results:
Run smoothly

Comment 1 James Hogarth 2016-06-08 10:16:41 UTC
It looks like a spec requires versioning but might have slipped through from the cerbot prerelease code for the switchover from letsencrypt to certbot

The present spec looks fine - can you please do a:

yum update --enablerepo-epel-testing certbot 

This will get the 0.8.0 update currently built and waiting enough karma, or time, to go stable.

Comment 2 James Hogarth 2016-06-08 10:17:22 UTC
ah that should be:

yum update --enablerepo=epel-testing certbot

Comment 3 James Hogarth 2016-07-12 14:54:43 UTC
Closing due to lack of response for a month

Comment 4 Fabian Affolter 2016-09-06 13:49:23 UTC
Happen with the latest release as well.

[root@alpha ~]# certbot renew
An unexpected error occurred:
VersionConflict: (acme 0.8.1 (/usr/lib/python2.7/site-packages), Requirement.parse('acme==0.5.0.dev0'))
Please see the logfile 'certbot.log' for more details.

[root@alpha ~]# rpm -q certbot
certbot-0.8.1-2.el7.noarch

Comment 5 Fedora Update System 2016-10-14 21:21:05 UTC
certbot-0.9.2-1.fc23, python-acme-0.9.2-1.fc23, python-certbot-apache-0.9.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3ed692c93a

Comment 6 Fedora Update System 2016-10-14 21:23:52 UTC
certbot-0.9.3-1.fc24, python-acme-0.9.3-1.fc24, python-certbot-apache-0.9.3-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1c6bd07afa

Comment 7 Fedora Update System 2016-10-14 21:54:18 UTC
certbot-0.9.3-1.fc25, python-acme-0.9.3-1.fc25, python-certbot-apache-0.9.3-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-51f67acae8

Comment 8 Fedora Update System 2016-10-19 07:23:42 UTC
certbot-0.9.3-1.fc23, python-acme-0.9.3-1.fc23, python-certbot-apache-0.9.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3ed692c93a

Comment 9 Fedora Update System 2016-10-21 16:51:40 UTC
certbot-0.9.3-1.el7, python-acme-0.9.3-1.el7, python-certbot-apache-0.9.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-1a42ac0cec

Comment 10 Fedora Update System 2016-10-22 12:52:57 UTC
certbot-0.9.3-1.fc25, python-acme-0.9.3-1.fc25, python-certbot-apache-0.9.3-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-10-22 17:20:13 UTC
certbot-0.9.3-1.fc24, python-acme-0.9.3-1.fc24, python-certbot-apache-0.9.3-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Florent Le Coz 2016-10-24 18:50:42 UTC
This is still broken for me:

python2-certbot-0.9.3-1.fc24.noarch     
certbot-0.9.3-1.fc24.noarch             
python-acme-doc-0.9.3-1.fc24.noarch     
python2-acme-0.9.3-1.fc24.noarch        

20:48 root@ciboule ~# certbot --version                                                                
An unexpected error occurred:                                                                          
VersionConflict: (acme 0.9.3 (/usr/lib/python2.7/site-packages), Requirement.parse('acme==0.2.0.dev0'))
Please see the logfile 'certbot.log' for more details.

Comment 13 Florent Le Coz 2016-10-24 19:03:25 UTC
Sorry, nevermind, I was just having a conflict with a very old version installed by hand. That conflict didn’t happen before, with the previous version.

Comment 14 Fedora Update System 2016-10-28 18:49:41 UTC
certbot-0.9.3-1.fc23, python-acme-0.9.3-1.fc23, python-certbot-apache-0.9.3-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-11-07 20:19:10 UTC
certbot-0.9.3-1.el7, python-acme-0.9.3-1.el7, python-certbot-apache-0.9.3-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.